wmcpumon(1)

NAME
wmcpumon - a multi CPU system monitor dockapp

SYNOPSIS
wmcpumon [-?|-h] [-a] [-c first] [-j] [-n cpus] [-l] [-r rate] [-s] [-w]

DESCRIPTION
This is a small dockapp, that displays the following information about the system:

- Current CPU utilization of up to four CPUs or CPU cores

- or current aggregates CPU utilization of all CPUs and cores

- Support for hyper-threading CPUs, joins display of two CPUs

- Up to two minutes history of CPU utilization

- Current memory usage

- Current swap usage

- Can sleep while screensaver is running

OPTIONS

-?|-h
    Show short usage help and exit. The help is printed to stdout. A note to all developers: please print to stdout!

-a  Display the aggregate number of CPU utilization of all CPUs and/or CPU cores. This option has higher priority than the -c and -j options.

-c first
    Number of the first CPU to use in this dockapp, can be used to monitor more than 4 cores or CPUs, with multiple dockapps.

-j  Join two CPUs, the CPU utilization of two CPUs is combined. (Useful for hyper-threading CPUs)

-l  Use a logarithmic scale to display the CPU utilization. Low activity becomes more visibile.

-r rate
    Refresh rate of the CPU utilization in milliseconds, defaults to 250ms. The history of CPU utilization is updated every 10th time. Shorter means more CPU usage and more updates.

-s  Sleep while screen-saver is running or video is blanked. The dockapp sleeps and did't use any CPU cyles, while the display is switched off. Saves energy on laptops.

-w  Start in window mode, used for debugging. The dockapp gets the normal window borders and title.

FILES

/proc/stat
    kernel/system statistics.

/proc/meminfo
    This file reports statistics about memory usage on the system.

AUTHOR
Copyright (C) 2010 Lutz Sammer. License: AGPLv3.